# Copyright 2026 Criptomart
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from odoo import fields
from odoo import models


class ProductProduct(models.Model):
    _inherit = "product.product"

    origin_text = fields.Char(
        related="product_tmpl_id.origin_text",
        readonly=False,
    )
